[arch-commits] Commit in d4x/repos (extra-i686 extra-i686/PKGBUILD)

Hugo Doria hugo at archlinux.org
Wed Jul 23 12:36:21 EDT 2008


    Date: Wednesday, July 23, 2008 @ 12:36:20
  Author: hugo
Revision: 6077

Merged revisions 6076 via svnmerge from 
svn+ssh://hugo@archlinux.org/home/svn-packages/d4x/trunk

................
  r6076 | hugo | 2008-07-23 13:28:27 -0300 (Wed, 23 Jul 2008) | 22 lines
  
  Merged revisions 2-6075 via svnmerge from 
  svn+ssh://hugo@archlinux.org/home/svn-packages/d4x/trunk
  
  ........
    r356 | aaron | 2008-04-18 19:56:27 -0300 (Fri, 18 Apr 2008) | 1 line
    
    Added svn:keywords to all PKGBUILDs
  ........
    r2304 | paul | 2008-05-31 02:00:40 -0300 (Sat, 31 May 2008) | 2 lines
    
    Added licenses for 64 packages.
  ........
    r6074 | hugo | 2008-07-23 13:19:35 -0300 (Wed, 23 Jul 2008) | 2 lines
    
    upgpkg: d4x 2.5.7.1-2
        d4x-gtkurl.patch added. This Fix FS#10646
  ........
    r6075 | hugo | 2008-07-23 13:26:47 -0300 (Wed, 23 Jul 2008) | 1 line
    
    svn revert
  ........
................

Modified:
  d4x/repos/extra-i686/	(properties)
  d4x/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)


Property changes on: d4x/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /d4x/trunk:1-6075
   + /d4x/trunk:1-6076

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-23 16:28:27 UTC (rev 6076)
+++ extra-i686/PKGBUILD	2008-07-23 16:36:20 UTC (rev 6077)
@@ -1,21 +1,26 @@
 # $Id$
-# Maintainer: dorphell <dorphell at archlinux.org>
+# Maintainer: Hugo Doria <hugo at archlinux.org>
+
 pkgname=d4x
 pkgver=2.5.7.1
-pkgrel=1
+pkgrel=2
 pkgdesc="A GUI XFree86 program for downloading files"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 depends=('esd' 'gtk2' 'openssl<=0.9.8' 'alsa-lib' 'libstdc++5' 'audiofile') 
-source=(http://d4x.krasu.ru/files/$pkgname-$pkgver.tar.bz2)
+source=(http://d4x.krasu.ru/files/${pkgname}-${pkgver}.tar.bz2 d4x-gtkurl.patch)
 url="http://www.krasu.ru/soft/chuchelo/"
+license=('PerlArtistic')
 makedepends=('boost')
 conflicts=('downloaderx')
 replaces=('downloaderx')
-md5sums=('68d6336c3749a7caabb0f5a5f84f4102')
+md5sums=('68d6336c3749a7caabb0f5a5f84f4102' '3639f6d3fb7253a50a085c0b1037268b')
 
 build() {
-    cd $startdir/src/$pkgname-${pkgver}
+    cd ${srcdir}/${pkgname}-${pkgver}
+    
+    patch -Np1 < ${srcdir}/d4x-gtkurl.patch || return 1
+    
     ./configure --prefix=/usr
     make || return 1
-    make prefix=$startdir/pkg/usr install
+    make prefix=${pkgdir}/usr install
 }





More information about the arch-commits mailing list